<?php
	
	$solar_power_custom_css = '';
	
	/*-------------- Footer Text -------------------*/
	$solar_power_copyright_text_position = get_theme_mod('solar_power_copyright_text_position','center');
	if($solar_power_copyright_text_position != false){
		$solar_power_custom_css .='.copyright{';
			$solar_power_custom_css .='text-align: '.esc_attr($solar_power_copyright_text_position).';';
		$solar_power_custom_css .='}';
	}

	/*----------------Width Layout -------------------*/
    $solar_power_theme_lay = get_theme_mod( 'solar_power_width_options','Full Width');
    if($solar_power_theme_lay == 'Full Width'){
		$solar_power_custom_css .='body{';
			$solar_power_custom_css .='max-width: 100%;';
		$solar_power_custom_css .='}';
	}else if($solar_power_theme_lay == 'Contained Width'){
		$solar_power_custom_css .='body{';
			$solar_power_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$solar_power_custom_css .='}';
	}else if($solar_power_theme_lay == 'Boxed Width'){
		$solar_power_custom_css .='body{';
			$solar_power_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$solar_power_custom_css .='}';
	}

	//Submenu Dropdown Effect
	$solar_power_dropdown_anim = get_theme_mod('solar_power_dropdown_anim');
	$solar_power_custom_css .='.primary-navigation ul ul{';
		$solar_power_custom_css .='animation: '.esc_attr($solar_power_dropdown_anim).' 1s ease;';
	$solar_power_custom_css .='}';
    
    /*-------- footer background css -------*/
	$solar_power_footer_background_color = get_theme_mod('solar_power_footer_background_color');
	$solar_power_custom_css .='.footersec{';
		$solar_power_custom_css .='background-color: '.esc_attr($solar_power_footer_background_color).';';
	$solar_power_custom_css .='}';

	$solar_power_footer_wedget_title_color = get_theme_mod('solar_power_footer_wedget_title_color');
	$solar_power_custom_css .=' h3.widget-title{';
		$solar_power_custom_css .='color: '.esc_attr($solar_power_footer_wedget_title_color).';';
	$solar_power_custom_css .='}';

	$solar_power_footer_wedget_text_color = get_theme_mod('solar_power_footer_wedget_text_color');
	$solar_power_custom_css .='.widget li a{';
		$solar_power_custom_css .='color: '.esc_attr($solar_power_footer_wedget_text_color).';';
	$solar_power_custom_css .='}';

    /*-------- Copyright background css -------*/
	$solar_power_copyright_background_color = get_theme_mod('solar_power_copyright_background_color');
	$solar_power_custom_css .='.copyright{';
		$solar_power_custom_css .='background-color: '.esc_attr($solar_power_copyright_background_color).';';
	$solar_power_custom_css .='}';

	$solar_power_copyright_color = get_theme_mod('solar_power_copyright_color');
	$solar_power_custom_css .='.copyright a{';
		$solar_power_custom_css .='color: '.esc_attr($solar_power_copyright_color).';';
	$solar_power_custom_css .='}';

	// site title and tagline font size option
	$solar_power_site_title_font_size = get_theme_mod('solar_power_site_title_font_size', 25);{
	$solar_power_custom_css .='.logo h1 a, .logo p a{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_site_title_font_size).'px;';
		$solar_power_custom_css .='}';
	}

	$solar_power_site_tagline_font_size = get_theme_mod('solar_power_site_tagline_font_size', 12);{
	$solar_power_custom_css .='.logo p{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_site_tagline_font_size).'px !important;';
		$solar_power_custom_css .='}';
	}
     
	$solar_power_site_title_color = get_theme_mod('solar_power_site_title_color',);
	$solar_power_custom_css .='p.site-title a{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_site_title_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_site_tagline_color = get_theme_mod('solar_power_site_tagline_color',);
	$solar_power_custom_css .='p.site-description{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_site_tagline_color).' !important;';
		$solar_power_custom_css .='}';

	//site logo css
	$solar_power_logo_size = get_theme_mod('solar_power_logo_size'); // This value should be a percentage (e.g., 50 for 50%)
	if ($solar_power_logo_size) {
		$logo_width_px = (350 * $solar_power_logo_size) / 100; // Calculate the pixel width based on the percentage
		$solar_power_custom_css .= '.site-logo img {';
		$solar_power_custom_css .= 'width: '.esc_attr($logo_width_px).'px !important;';
		$solar_power_custom_css .= '}';
	}

	//topbar
	$solar_power_toptext_color = get_theme_mod('solar_power_toptext_color',);
	$solar_power_custom_css .='.call a, p.topbar-text{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_toptext_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_topicon_color = get_theme_mod('solar_power_topicon_color',);
	$solar_power_custom_css .='.call i{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_topicon_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_topbtn_color = get_theme_mod('solar_power_topbtn_color',);
	$solar_power_custom_css .='.request-btn a{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_topbtn_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_topbtnbg_color = get_theme_mod('solar_power_topbtnbg_color',);
	$solar_power_custom_css .='.request-btn{';
	$solar_power_custom_css .='background-color: '.esc_attr($solar_power_topbtnbg_color).' !important;';
		$solar_power_custom_css .='}';

	//slider color
	$solar_power_slider_title_font_size = get_theme_mod('solar_power_slider_title_font_size',);
	$solar_power_custom_css .='#slider .inner_carousel h1{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_slider_title_font_size).'px !important;';
		$solar_power_custom_css .='}';

	$solar_power_slider_text_font_size = get_theme_mod('solar_power_slider_text_font_size',);
	$solar_power_custom_css .='#slider .inner_carousel p{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_slider_text_font_size).'px !important;';
		$solar_power_custom_css .='}';

	$solar_power_slider_btn_font_size = get_theme_mod('solar_power_slider_btn_font_size',);
	$solar_power_custom_css .='#slider .read-btn a{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_slider_btn_font_size).'px !important;';
		$solar_power_custom_css .='}';

	$solar_power_slider_opacity = get_theme_mod('solar_power_slider_opacity',);
	$solar_power_custom_css .='#slider img{';
	$solar_power_custom_css .='opacity: '.esc_attr($solar_power_slider_opacity).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_slider_title_color = get_theme_mod('solar_power_slider_title_color',);
	$solar_power_custom_css .='#slider .inner_carousel h1{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_slider_title_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_slider_text_color = get_theme_mod('solar_power_slider_text_color',);
	$solar_power_custom_css .='#slider .entry-content p{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_slider_text_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_slider_btn_color = get_theme_mod('solar_power_slider_btn_color',);
	$solar_power_slider_btnbg_color = get_theme_mod('solar_power_slider_btnbg_color',);
	$solar_power_custom_css .='.read-btn a{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_slider_btn_color).' !important; background-color: '.esc_attr($solar_power_slider_btnbg_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_slider_np_color = get_theme_mod('solar_power_slider_np_color',);
	$solar_power_custom_css .='#slider .carousel-control-next-icon i, #slider .carousel-control-prev-icon i{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_slider_np_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_slider_npb_color = get_theme_mod('solar_power_slider_npb_color',);
	$solar_power_custom_css .='#slider .carousel-control-next-icon i, #slider .carousel-control-prev-icon i{';
	$solar_power_custom_css .='border-color: '.esc_attr($solar_power_slider_npb_color).' !important;';
		$solar_power_custom_css .='}';

	//feature color
	$solar_power_smalltitle_font_size = get_theme_mod('solar_power_smalltitle_font_size',);
	$solar_power_custom_css .='#our-features p.small-title{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_smalltitle_font_size).'px !important;';
		$solar_power_custom_css .='}';

	$solar_power_title_font_size = get_theme_mod('solar_power_title_font_size',);
	$solar_power_custom_css .='#our-features h3{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_title_font_size).'px !important;';
		$solar_power_custom_css .='}';

	$solar_power_posttitle_font_size = get_theme_mod('solar_power_posttitle_font_size',);
	$solar_power_custom_css .='.features-box h4 a{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_posttitle_font_size).'px !important;';
		$solar_power_custom_css .='}';

	$solar_power_posttext_font_size = get_theme_mod('solar_power_posttext_font_size',);
	$solar_power_custom_css .='.features-box p{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_posttext_font_size).'px !important;';
		$solar_power_custom_css .='}';

	$solar_power_feature_heading_color = get_theme_mod('solar_power_feature_heading_color',);
	$solar_power_custom_css .='#our-features p.small-title{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_feature_heading_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_feature_subheading_color = get_theme_mod('solar_power_feature_subheading_color',);
	$solar_power_custom_css .='#our-features h3{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_feature_subheading_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_feature_bxtitle_color = get_theme_mod('solar_power_feature_bxtitle_color',);
	$solar_power_custom_css .='.features-box h4 a{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_feature_bxtitle_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_feature_bxtext_color = get_theme_mod('solar_power_feature_bxtext_color',);
	$solar_power_custom_css .='.features-box p{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_feature_bxtext_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_feature_bxbg_color = get_theme_mod('solar_power_feature_bxbg_color',);
	$solar_power_custom_css .='.features-box{';
	$solar_power_custom_css .='background-color: '.esc_attr($solar_power_feature_bxbg_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_feature_bxbdr_color = get_theme_mod('solar_power_feature_bxbdr_color',);
	$solar_power_custom_css .='.features-box{';
	$solar_power_custom_css .='border-color: '.esc_attr($solar_power_feature_bxbdr_color).' !important;';
		$solar_power_custom_css .='}';

	$solar_power_feature_np_color = get_theme_mod('solar_power_feature_np_color',);
	$solar_power_feature_npbg_color = get_theme_mod('solar_power_feature_npbg_color',);
	$solar_power_custom_css .='#our-features .owl-nav button{';
	$solar_power_custom_css .='color: '.esc_attr($solar_power_feature_np_color).' !important; background-color: '.esc_attr($solar_power_feature_npbg_color).' !important;';
		$solar_power_custom_css .='}';

	//copyright css
	$solar_power_footer_copy_font_size = get_theme_mod('solar_power_footer_copy_font_size',);
	$solar_power_custom_css .='.copyright a{';
	$solar_power_custom_css .='font-size: '.esc_attr($solar_power_footer_copy_font_size).'px !important;';
		$solar_power_custom_css .='}';